#ifndef __STOPPESTEDER_H
#define __STOPPESTEDER_H

#include <algorithm>
#include <fstream>
#include <iostream>
#include <string>
#include <vector>

#include "hjelpeFunksjoner.h"
#include "stoppested.h"

/**
 * Stoppesteder klasse
 *
 * Har datamedlemmene:
 *      alleStoppesteder - Vector med pekere til Stoppested
 *
 */
class Stoppesteder {
   private:
    HjelpeFunksjoner hjelp;

   public:
    // Vector med pekere til Stoppested
    std::vector<Stoppested*> alleStoppesteder;
    Stoppesteder();
    ~Stoppesteder();
    void ny(const std::string& navn, const bool& leggTilTid);
    void skrivData();
    void skrivSpesifikkData();
    Stoppested* hentEksisterende(const std::string& navn);
    Stoppested* hentEksisterende(const int& index);
    int hentIndex(Stoppested* stoppested);
    void meny(const char& valg);
    void ryddOppMinne();
    void skrivMeny();
    void lesFraFil();
    void skrivTilFil();
};

#endif  // __STOPPESTEDER_H